body {
    margin:0px;
    font-family: "MuseoSansRegular";
}

@font-face {
    font-family: "MuseoSansRegular";
    src: local('MuseoSansRegular'),
    url("../fonts/MuseoSans/MuseoSansRegular/MuseoSansRegular.woff") format("woff"),
    url("../fonts/MuseoSans/MuseoSansRegular/MuseoSansRegular.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: "MuseoSansMedium";
    src: local('PTSansBold'),
    url("../fonts/MuseoSans/MuseoSansMedium/MuseoSansMedium.woff") format("woff"),
    url("../fonts/MuseoSans/MuseoSansMedium/MuseoSansMedium.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: "SansationBold";
    src: local('SansationBold'),
    url("../fonts/Sansation/SansationBold/SansationBold.woff") format("woff"),
    url("../fonts/Sansation/SansationBold/SansationBold.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

#logo-with-menu {
    padding: 10px 0;
    box-shadow: 0 8px 20px rgba(41,99,112,.06);
    z-index: 999 !important;
    position: relative;
    background: #ffffff;
}

.topline {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu_top ul {
    padding: 0px;
    margin: 0px;
    list-style: none;
    display: flex;
    gap: 40px;
}

.menu_top ul li a {
    color: #3b2a56;
    text-decoration:none;
    font-size:18px;
    position: relative;
}

.menu_top ul li a::before {
    content: '';
    display: block;
    position: absolute;
    height: 1px;
    background: #f81b65;
    bottom: -5px;
    width: 0;
    transition: width .3s ease-in-out, left .3s ease-in-out;
    left: 50%;
}

.menu_top ul li a::after {
    content: '';
    display: block;
    position: absolute;
    height: 1px;
    background: #f81b65;
    bottom: -5px;
    width: 0;
    transition: width .3s ease-in-out, left .3s ease-in-out;
    left: 50%;
}

.menu_top ul li a:hover::before {
    width: 50%;
    left: 0;
}

.menu_top ul li a:hover::after {
    width: 50%;
}

.menu_top ul li a:hover {
    color:#f81b65;
}

.lk_top ul {
    padding: 0px;
    margin: 0px;
    list-style: none;
    display: flex;
    align-items: center;
    gap: 30px;
}

.lk_top .link {
    display: inline-flex;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    color: #ffffff;
    font-weight: 500;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
    text-decoration:none;
    font-size:17px;
    border-radius: 5px;
}

.lk_top .link::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

.lk_top .link:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

.lk_top .lk img {
    width: 55px;
    height: 55px;
    content: '';
    display: block;
    border-radius: 50% !important;
}

.lk_top .lk {
    height: 35px;
    width: 35px;
    line-height: 35px;
    border: 1px solid #869199;
    display: block;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#slide {
    background: #F5F1EB;
    min-height:500px;
    position: relative;
    padding-top: 90px;
    padding-bottom: 80px;
}

#slide-code {
    background: #F5F1EB;
    position: relative;
    padding-top: 90px;
    padding-bottom: 80px;
}

.main-banner-ellipse {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: -1;
}

.main-banner-ellipse img {
    max-width: 100%;
    height: auto;
    display: inline-block;
}

.main-banner-content {
    position:relative;
}

.main-banner-content h1 {
    color: #3b2a56;
    font-size: 54px;
    margin-bottom: 0px;
    /* text-transform: uppercase; */
    font-weight: bold;
    position:relative;
    font-family: "MuseoSansMedium";
}

.main-banner-content h1 span::after {
    position: absolute;
    content: "";
    right: 95px;
    bottom: -25px;
    width: 137px;
    height: 17px;
    background-image: url(../img/border.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    display: block;
}

.main-banner-content::before {
    content: '';
    height: 190px;
    width: 190px;
    border-style: solid;
    border-width: 30px 30px 30px 30px;
    border-color: #EE4A6212;
    border-radius: 50% 50% 50% 50%;
    display: block;
    position: absolute;
    left: -100px;
    top: -50px;
    z-index:0;
}

.desc_course {
    margin:40px 0px;
    max-width: 650px;
}

.main-banner-content p {
    font-size: 19px;
    color: #7A7384;
}

.elementor-background-overlay {
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background-image: url(../img/Banner-BG-1.svg);
    background-position: bottom center;
    background-repeat: no-repeat;
    transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}

.main-banner-image {
    position:relative;
    height:100%;
}

.python-icon {
    position: absolute;
    right: -130px;
    top: 95px;
    height: 70px;
    z-index: 1;
}

.code-icon {
    position: absolute;
    left: 160px;
    bottom: 120px;
    height: 50px;
}

.programming {
    height: 500px;
    position: relative;
    top: -20px;
    right: 80px;
    float: right;
}

.zapis {
    display: inline-flex;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    color: #ffffff;
    font-weight: 500;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
    text-decoration: none;
    font-size: 17px;
    border-radius: 5px;
    height: 55px;
}

.zapis::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

.zapis:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

.zapis ion-icon {
    margin-left: 10px;
    margin-top: 4px;
}

.metka {
    border-radius: 5px;
    background: #1ea69a;
    display: inline-block;
    color: #ffffff;
    padding: 10px 20px;
    margin-bottom: 30px;
    position: relative;
    z-index: 1;
}

.program {
    background: transparent;
    color: #3b2a56;
    border: 1px solid #3b2a56;
    font-size: 17px;
    border-radius: 5px;
    display: inline-flex;
    margin-left: 30px;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-decoration: none;
    height: 55px;
}

.h1_buttons {
    display: flex;
    align-items: center;
}

.shape {
    width: 140px;
    position: absolute;
    right: 0px;
    top: -10px;
    z-index: 0;
}

#who{
    padding:50px 0px;
    padding-bottom:70px;
}

.section_title h2 {
    color: #3b2a56;
    font-size: 40px;
    margin-bottom: 70px;
    font-weight: normal;
    position: relative;
    text-align: center;
    font-family: "MuseoSansMedium";
}

.section_title h2 span {
    position: relative;
}

.section_title h2 span::after {
    position: absolute;
    content: "";
    right: 40px;
    bottom: -25px;
    width: 137px;
    height: 17px;
    background-image: url(../img/border.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    display: block;
}

.who_body .row > div:nth-child(1) .who_block .content {
    background: rgba(26, 182, 157, .07);
}

.who_body .row > div:nth-child(1) .who_block .content span {
    font-weight: 500;
    display: inline-block;
    padding: 2px 18px;
    border-radius: 5px;
    background: rgba(26, 182, 157, .1);
    color: #1ab69d;
    -webkit-transition: var(--edublink-transition);
    transition: var(--edublink-transition);
    font-size:14px;
    margin-bottom:20px;
}

.who_body .row > div:nth-child(2) .who_block .content {
    background: #EE4A6212;
}

.who_body .row > div:nth-child(2) .who_block .content span {
    font-weight: 500;
    display: inline-block;
    padding: 2px 18px;
    border-radius: 5px;
    background: #EE4A621A;
    color: #EE4A62;
    -webkit-transition: var(--edublink-transition);
    transition: var(--edublink-transition);
    font-size:14px;
    margin-bottom:20px;
}

.who_body .row > div:nth-child(3) .who_block .content {
    background: #4664E412;
}

.who_body .row > div:nth-child(3) .who_block .content span {
    font-weight: 500;
    display: inline-block;
    padding: 2px 18px;
    border-radius: 5px;
    background: #4664E41A;
    color: #4664E4;
    -webkit-transition: var(--edublink-transition);
    transition: var(--edublink-transition);
    font-size:14px;
    margin-bottom:20px;
}

.who_block .thumbnail {
    padding: 0 30px 30px;
    position: relative;
}

.who_block .thumbnail div {
    overflow:hidden;
    border-radius: 5px !important;
}

.who_block .thumbnail img {
    max-width:100%;
    -webkit-transition: all 0.3s ease 0s;
    -o-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
}

.who_block .thumbnail img:hover {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
}

.who_block .content {
    margin-top: -140px;
    padding: 130px 20px 16px 30px;
    border-radius: 5px;
    background: #ffffff;
    text-align:left;
}

.who_block .content p {
    color:#3B2A56;
    font-size:18px;
    font-family: "MuseoSansRegular";
    line-height: 24px;
}


#advantages {
    background-color: #F7F3EE;
    padding: 70px 0px;
    position: relative;
    padding-bottom: 440px;
    margin-bottom: -390px;
}

.elementor-background-overlay {
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background-image: url(../img/Banner-BG-1.svg);
    background-position: bottom center;
    background-repeat: no-repeat;
    transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}

.elementor-container {
    position: relative;
}

.advantages_block::after {
    position: absolute;
    content: "";
    left: 0;
    bottom: 0;
    height: 2px;
    width: 0%;
    background-color: #f4197d;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: .6s;
    display:block;
}

.advantages_block:hover::after {
    width: 100%;
    opacity: 1;
    visibility: visible;
}

.advantages_block .image {
    margin-bottom: 15px;
    position: relative;
    display: inline-block;
}

.advantages_block .image img {
    max-width:100%;
}

.advantages_block .image .icon {
    position: absolute;
    left: 15.8px;
    right: 0;
    top: 22px;
    text-align: center;
    font-size: unset;
    width: auto;
    height: auto;
    margin: auto;
}

.advantages_block {
    box-shadow: 0 20px 40px rgba(0,0,0,.1);
    background:#ffffff;
    padding: 35px 25px;
    border-radius:5px;
    position:relative;
    z-index:10;
}

.advantages_block h3 {
    color: #3B2A56;
    font-size: 19px;
    font-family: "MuseoSansMedium";
    line-height: 24px;
    margin-bottom: 15px;
}

.advantages_block p {
    margin-bottom: 15px;
    line-height: 25px;
    color: #869199;
    font-weight: 400;
    font-size: 17px;
    min-height:125px;
    margin:0px;
}

.advantages_body::before {
    content: '';
    display: block;
    background-image: url(../img/shape-46-1.png);
    width: 158px;
    height: 174px;
    position: absolute;
    top: -90px;
    left: -50px;
    z-index: 1;
}

.advantages_body::after {
    content: '';
    display: block;
    background-image: url(../img/shape-13.png);
    width: 164px;
    height: 164px;
    position: absolute;
    bottom: -100px;
    right: -50px;
    background-size: contain;
    z-index: 0;
}

.advantages_body {
    position:relative;
}

.advantages_body .row > div:nth-child(4) .icon img {
    max-width:40px;
}

.advantages_body .row > div:nth-child(2) .icon img {
    max-width: 40px;
    position: relative;
    top: -2px;
}

.about_body h2 {
    text-align:left;
}

.about-img img {
    max-width:100%;
}

.about_body {
    padding-left:30px;
}

#about {
    position:relative;
    margin-bottom:70px;
}

#about .section_body {
    padding: 30px 30px 30px 30px;
    /* background-color: #FFFFFF; */
    border-radius: 10px 10px 10px 10px;
    box-shadow: 0px 20px 40px 0px rgba(41.999999999999865, 11, 88, 0.1);
}

.about_text p {
    color: #869199;
    font-weight: 400;
    font-size: 18px;
}

.course_m {
    padding:0px;
    list-style:none;
    margin:0px;
    display:flex;
    background: #1ea69a;
    padding: 17px 45px 17px 30px;
    border-radius: 5px 5px 0 0;
    position:relative;

}

.courses > div.course:nth-child(1)::before {
    content: '1';
    font-family: "SansationBold";
    position: absolute;
    left: -40px;
    top: -120px;
    font-size: 200px;
    color: #F7F3EE;
    z-index: 0;
}

.courses > div.course:nth-child(2)::before {
    content: '2';
    font-family: "SansationBold";
    position: absolute;
    left: -60px;
    top: -110px;
    font-size: 200px;
    color: #F7F3EE;
    z-index: 0;
}

.courses > div.course:nth-child(3)::before {
    content: '3';
    font-family: "SansationBold";
    position: absolute;
    left: -60px;
    top: -110px;
    font-size: 200px;
    color: #F7F3EE;
    z-index: 0;
}

.course_m li::before {
    position: absolute;
    content: "";
    display: inline-block;
    height: 5px;
    width: 5px;
    background-color: #ffffff;
    border-radius: 50%;
    right: -18px;
    top: 50%;
    transform: translateY(-50%);
    float: unset;
    padding-right: 0;
}

.course_m li:last-child::before {
    display:none;
}

.course_m li {
    color: #ffffff;
    font-size: 18px;
    margin-right: 30px;
    position: relative;
}

.section_desc {
    color: #869199;
    font-weight: 400;
    font-size: 20px;
    text-align:center;
    padding:0px 100px;
    margin-bottom:30px;
}

.course {
    border-radius: 5px;
    margin-bottom: 80px;
    box-shadow: 0 10px 50px 0 rgba(26,46,85,.1);
    position:relative;
}

.course_desc {
    padding: 28px 30px 28px 30px;
    position: relative;
    background: #ffffff;
}

.course_title {
    color: #3b2a56;
    font-family: "MuseoSansMedium";
    font-size:24px;
    margin-bottom:15px;
}

.course_t {
    padding:0px;
    list-style:none;
    margin:0px;
    display:flex;
    gap:30px;
}

.course_t li {
    background-color: #F7F3EE;
    border-radius: 5px;
    padding: 5px 0px;
    font-size: 16px;
    color: #869199;
    width: 185px;
    text-align: center;
}

.icon_course {
    position: absolute;
    right: 30px;
    top: 0px;
}

.icon_course img {
    max-height: 150px;
    position: relative;
    z-index: 10;
    left: -50px;
    top: -20px;
}

/* .icon_course::after {
    content: '';
    width: 163px;
    height: 150px;
    background-image: url(../img/shape-09.png);
    background-size: contain;
    position: absolute;
    right: 0px;
    top: -30px;
    background-repeat: no-repeat;
    z-index: 0;
} */

#what {
    background-color: #F7F3EE;
    padding: 100px 0px;
    position: relative;
    padding-bottom:50px;
}

.icon_course::after {
    content: '';
    width: 220px;
    height: 220px;
    background-image: url(../img/shape-09.png);
    background-size: contain;
    position: absolute;
    right: 0px;
    top: -60px;
    background-repeat: no-repeat;
    z-index: 0;
}

.what-bg {
    background-image: url(../img/Blog-BG-1.svg);
    background-position: top center;
    background-repeat: no-repeat;
    transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    position: absolute;
}

.what-body {
    position: relative;
    z-index:1;
}

.what_text p {
    color: #869199;
    font-weight: 400;
    font-size: 18px;
    text-align: justify;
}

#footer {
    background-color: #111212;
    padding: 50px 0px;
}

.footer_menu ul {
    padding:0px;
    margin:0px;
    list-style:none;
    display:flex;
}

.footer_menu ul li a {
    color:#ffffff;
    text-decoration: none;
    font-size: 17px;
}

.footer_menu ul li {
    margin-right: 50px;
    position:relative;
}

.footer_menu ul li:last-child::after {
    display:none;
}

.footer_menu {
    position: relative;
    top: 3px;
}

.footer_menu ul li::after {
    position: absolute;
    content: "";
    display: inline-block;
    height: 5px;
    width: 5px;
    background-color: #ffffff;
    border-radius: 50%;
    right: -28px;
    top: 50%;
    transform: translateY(-50%);
    float: unset;
    padding-right: 0;
}

.logo_top img {
    width:300px;
}

.logo_top {
    display: flex;
    align-items: center;
    gap: 50px;
}

.foot_logo img {
    width:280px;
}

.foot {
    display: flex;
    align-items: center;
    gap: 100px;
}

.parallax {
    width: 100%;
    height: 100%;
}

.parallax__layer {
    position: absolute;
    width: 400px;
    height: 400px;
}

.modal-content {
    border-radius: 0px;
    background: #F5F6F9;
    border: 30px solid #ffffff;
}

.modal-header {
    padding:15px 30px;
    border-bottom: 1px solid #ffffff;
}

.modal-header h5 {
    color: #3b2a56;
    font-family: "MuseoSansMedium";
    font-size:26px;
}

.modal-dialog {
    max-width: 600px;
}

.modal-footer {
    justify-content: start;
    padding:15px 30px;
    border-top: 1px solid #ffffff;
}

.btn-close {
    outline: none !important;
    font-size: 16px;
    border: none !important;
    box-shadow: none !important;
}

.modal-footer button {
    display: inline-flex;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    color: #ffffff;
    font-weight: 500;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
    text-decoration: none;
    font-size: 17px;
    border-radius: 5px;
    height: 55px;
    border:0px;
    outline:none;
}

.modal-footer button::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

.modal-footer button:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

.modal-form input {
    background-color: #ffffff;
    box-shadow: 0 4px 25px rgba(34,86,102,.07);
    outline: 0;
    height: 55px;
    display: inline-block;
    width: 100%;
    padding: 15px 20px 15px 15px;
    border-radius: 0;
    border: none;
    color: #869199;
}

.modal-form > div:nth-child(1) {
    margin-bottom:30px;
}

.modal-body {
    padding:30px;
}

.menu_top .link {
    display:none;
}

h1 span {
    position:relative;
}

.no-home #slide {
    min-height: auto;
    padding-top: 90px;
    padding-bottom: 20px;
}

.no-home .main-banner-content::before {
    top:-60px;
}

.no-home .desc_course {
    max-width:100%;
}

#course {
    margin:50px 0px;
}

#progress {
    background: linear-gradient(29.39deg, #FF6573 3.66%, #FBA290 95.47%);
    border-radius:5px;
    padding:30px;
    position:relative;
}

#progress > div{
    position:relative;
    z-index:1;
}

#progress p {
    color: #ffffff;
    font-size: 24px;
    font-family: "MuseoSansMedium";
}

.shkala {
    display: flex;
    justify-content: start;
    gap:50px;
    align-items: center;
}

.prog_dan {
    display: flex;
    gap: 10px;
    font-size: 20px;
    color: #ffffff;
    align-items: center;
}

.skolko {
    font-family: "SansationBold";
    font-size:30px;
    color: #3b2a56;
}

.vsego {
    font-family: "SansationBold";
    font-size:30px;
}

.shape3 img {
    max-width:70px;
}

#progress::before {
    background-image:url(../img/cta-bg-imgae-07.png);
    content:'';
    display:block;
    width:100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position:absolute;
    top:0px;
    left:0px;
    height:100%;
}

.course-body {
    margin-top:50px;
}

.book__info {
    padding:0px;
    margin:0px;
    list-style:none;
}

.book__chapter-articles {
    padding:0px;
    margin:0px;
    list-style:none;
}

.book__chapter-article{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.book__article-title-block {
    display: flex;
    align-items: center;
    gap:10px;
}

.book__article-widgets {
    display: flex;
    align-items: center;
    gap:30px;
}

.book__chapter {
    margin-bottom:50px;
}

.book__chapter-title {
    color: #3b2a56;
    font-size: 28px;
    font-family: "MuseoSansMedium";
    position: relative;
    margin-bottom: 25px;
}

.book__chapter-title::before {
    position: absolute;
    content: "";
    left: 30px;
    bottom: -8px;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    width: 35px;
    height: 2.5px;
    border-radius: 5px;
}

.book__article-title-block {
    font-size: 18px;
    color: #7A7384;
}

.book__article-title-block a {
    text-decoration:none;
    font-size: 18px;
    color: #7A7384;
}

.book__article-title-block a:hover {
    text-decoration:underline;
}

.article-status {
    background: #F5F1EB;
    padding: 5px 30px;
    border-radius: 5px;
    font-size: 16px;
    color: #7A7384;
    min-width:160px;
    text-align:center;
}

.article-status.ok {
    background: #1ea69a;
    color:#ffffff;
}

.book__chapter-articles > li + li {
    margin-top:15px;
}

.article-progress {
    background: #F5F1EB;
    padding: 5px 30px;
    border-radius: 5px;
    font-size: 16px;
    color: #7A7384;
    display: flex;
    align-items: center;
    gap:20px;
}

.article-progress__bar {
    width:18px;
    height:18px;
    background:transparent;
    border-radius:50%;
    border:1px solid #7A7384;
}

.progress__first-number_contest,
.progress__second-number_contest{
    font-family: "SansationBold";
}

.article-progress__bar + span {
    display: flex;
    align-items: center;
}

.article-progress__label {
    margin-left:10px;
}

.struktura {
    box-shadow: 0 4px 18px rgba(53, 69, 65, 0.14), 0 2px 6px rgba(53, 69, 65, 0.06);
    width: 48px;
    height: 48px;
    border-radius: 0 6px 6px 0;
    display: block;
    position: fixed;
    left: 0px;
    top: 20px;
    background: #ffffff;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.struktura::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

.struktura:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

.struktura span {
    display: inline-block;
}

.struktura span span {
    display: block;
    width: 25px;
    height: 1px;
    background: #3b2a56;
    margin-bottom: 8px;
    transition-duration: .4s;
}

.struktura:hover span span {
    background:#ffffff;
}

.struktura span span:nth-child(2) {
    width: 28px;
}

.struktura span span:last-child {
    margin-bottom:0px;
}

.menu-blocks-list {
    padding:0px;
    margin:0px;
    list-style:none;
}

.menu-block__items-list {
    padding:0px;
    margin:0px;
    list-style:none;
}

.menu-block__title {
    color: #3b2a56;
    font-size:18px;
    border-bottom:1px solid #F5F1EB;
    padding-bottom:5px;
    margin-bottom:10px;
}

.menu-block {
    margin-bottom:15px;
}

.menu-item.menu-item_article span,
.menu-item.menu-item_article a {
    text-decoration:none;
    color: #869199;
    font-size:16px;
}

.menu-item_article {
    margin-bottom:10px;
}

.offcanvas-title {
    color: #869199;
    font-size: 17px;
    font-style: italic;
}

.offcanvas-header {
    padding-bottom:0px;
}

#article {
    margin:50px	0px;
}

body.page-article h1 {
    font-size: 34px;
}

body.page-article #slide {
    padding-bottom: 80px;
}

body.page-article .main-banner-content::before {
    content: '';
    height: 120px;
    width: 120px;
    border-style: solid;
    border-width: 20px 20px 20px 20px;
    border-color: #EE4A6212;
    border-radius: 50% 50% 50% 50%;
    display: block;
    position: absolute;
    left: -60px;
    top: -50px;
    z-index: 0;
}

body.page-article .main-banner-content::before {
    top: -45px;
}

.article__content p {
    font-size: 17px;
    color: #7A7384
}

.article__content pre {
    padding: 20px 46px 24px 16px;
    margin-bottom: 24px;
    border-radius: 0px;
    overflow-x: auto;
    background: #F5F1EB;
    white-space: nowrap;
    border-left: 5px solid #ced4da;
    background-color: #e6f2f5;
    color:#FD1E43;
    font-size: 16px;
}

.hljs-addition, .hljs-built_in, .hljs-bullet, .hljs-code {
    color: #1ab69d;
}

.hljs-deletion, .hljs-number, .hljs-quote, .hljs-selector-class, .hljs-selector-id, .hljs-string, .hljs-template-tag, .hljs-type {
    color: #EE4A62;
}

.article__content pre code {
    padding: 0;
    background: 0 0;
    display: block;
    white-space: normal;
    color:#FD1E43;
    font-size: 16px;
}

.article__content img {
    max-width:100%;
}

.article__content p a {
    color: #7A7384;
    text-decoration:underline;
}

.article__content ul {
    padding:0px;
    margin:0px;
    list-style:none;
}

.article__content ul li {
    font-size: 17px;
    color: #7A7384;
}

.article__content ul li code {
    padding: 20px 46px 24px 16px;
    margin-bottom: 24px;
    border-radius: 0px;
    overflow-x: auto;
    background: #F5F1EB;
    white-space: nowrap;
    border-left: 5px solid #ced4da;
    background-color: #e6f2f5;
    display: block;
    color:#FD1E43;
    font-size: 16px;
}

.check-code {
    text-align:center;
    border-top:2px solid #F5F1EB;
    margin-top:30px;
    padding-top:30px;
}

.check-code a {
    display: inline-flex;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    color: #ffffff;
    font-weight: 500;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
    text-decoration: none;
    font-size: 17px;
    border-radius: 5px;
    height: 55px;
}

.check-code a::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

.check-code a:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

#check-code {
    margin: 50px 0px;
}

.zad_title {
    color: #3b2a56;
    font-size: 22px;
    font-family: "MuseoSansMedium";
    position: relative;
    margin-bottom: 5px;
}

.zadanie {
    margin-bottom: 30px;
}

.zad_telo {
    font-size: 17px;
    color: #7A7384;
}

.block_top {
    border-radius: 5px;
    box-shadow: 0 4px 25px rgba(34,86,102,.1);
    padding:30px;
    position:relative;
}

.zad_status {
    font-weight: 500;
    display: inline-block;
    padding: 5px 18px;
    border-radius: 5px;
    background: #EE4A621A;
    color: #EE4A62;
    -webkit-transition: var(--edublink-transition);
    transition: var(--edublink-transition);
    font-size: 15px;
    margin-bottom: 20px;
    position: absolute;
    top: 30px;
    right: 30px;
}

.block_bottom {
    margin-top:50px;
    position:relative;
}

.block_bottom textarea {
    background-color: #ffffff;
    outline: 0;
    height: 500px;
    display: inline-block;
    width: 100%;
    border-radius: 0;
    border: none;
    color: #869199;
    border:1px solid #F5F1EB;
    padding:30px;
    font-size:17px;
    border-radius: 5px;
    box-shadow: 0 4px 25px rgba(34,86,102,.1);
}

#send {
    display: inline-flex;
    background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
    color: #ffffff;
    font-weight: 500;
    padding: 15px 30px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
    text-decoration: none;
    font-size: 17px;
    border-radius: 5px;
    height: 55px;
    border: 0px;
    margin-top: 30px;
}

#send::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 550px;
    height: 550px;
    margin: auto;
    background-color: #1ea69a;
    border-radius: 50%;
    z-index: -1;
    transform-origin: top center;
    transform: translateX(-50%) translateY(-5%) scale(.4);
    transition: transform 0.9s;
}

#send:hover::after {
    transition: transform 1s;
    transform: translateX(-45%) translateY(0) scale(1);
    transform-origin: bottom center;
}

@media only screen and (min-width: 1201px) and (max-width: 1399px) {
    .main-banner-content h1 {
        font-size: 40px;
    }
    .code-icon {
        left: 100px;
    }
    .python-icon {
        right: -50px;
        top: 75px;
    }
    .advantages_block p {
        min-height: 150px;
    }
    .advantages_block h3 {
        height:48px;
    }
    #what {
        margin-top: 0px;
    }
    .menu_top .link {
        display:none;
    }
}
@media only screen and (min-width: 992px) and (max-width: 1200px) {
    .logo_top {
        gap: 20px;
    }
    .menu_top ul {
        gap: 30px;
    }
    .logo_top img {
        width: 250px;
    }
    .lk_top .link {
        padding: 15px 15px;
    }
    .main-banner-content h1 {
        font-size:43px;
    }
    .programming {
        height:400px;
    }
    .python-icon {
        right:0px;
    }
    .code-icon {
        position: absolute;
        left: 50px;
        bottom: 180px;
        height: 50px;
    }
    .who_block .content p {
        min-height: 72px;
    }
    .advantages_body .row > div:nth-child(1),
    .advantages_body .row > div:nth-child(2) {
        margin-bottom:30px;
    }
    .advantages_block p {
        min-height:75px;
    }
    .menu_top .link {
        display:none;
    }
    .course_t {
        gap: 20px;
        max-width: 70%;
        flex-wrap: wrap;
    }
}
@media only screen and (min-width: 769px) and (max-width: 991px) {
    .who_body .row > div:last-child {
        margin-top:30px;
    }
    .advantages_body .row > div:nth-child(3),
    .advantages_body .row > div:nth-child(4) {
        margin-top:30px;
    }
    .about-img {
        text-align:center;
    }
    .about_body h2 {
        text-align: center;
    }
    .about_text {
        text-align: center;
    }
    .advantages_body::after {
        right:0px;
    }
    .course_t {
        gap: 10px;
        flex-wrap: wrap;
        flex-direction: column;
    }
    .parallax__layer {
        width:100%;
        top:0px;
    }
    .python-icon {
        right:0px;
        top:120px;
    }
    .programming {
        height: 500px;
        position: relative;
        top: 50px;
        right: auto;
        float: none;
        left: 50%;
        margin-left: -179px;
    }
    .code-icon {
        position: absolute;
        left: 210px;
        bottom: 50px;
        height: 50px;
    }
    .main-banner-content {
        text-align: center;
    }
    .h1_buttons {
        justify-content: center;
    }
    .shape {
        right:50px;
        top:30px;
    }
    .menu-triger {
        position: relative;
        height: 19px;
    }
    .menu-triger span {
        display: inline-block;
    }
    .menu-triger span span {
        display: block;
        width: 25px;
        height: 1px;
        background: #3b2a56;
        margin-bottom: 8px;
        transition-duration: .4s;
    }
    .menu-triger span span:nth-child(2) {
        width: 28px;
    }
    .menu-triger span span:last-child {
        margin-bottom: 0px;
    }
    .logo_top {
        justify-content: space-between;
    }
    .menu-triger.active span span:nth-child(1) {
        transform: translate(0px, 7px) rotate(-45deg);
    }
    .menu-triger.active span span:nth-child(2) {
        transition-duration: 0s;
        opacity: 0;
    }
    .menu-triger.active span span:nth-child(3) {
        transform: translate(0px, -11px) rotate(45deg);
    }
    .menu_top {
        display:none;
        background: #ffffff;
        top: 72px;
        position: absolute;
        width: 100%;
        left:0px;
        padding: 15px 0px;
        box-shadow: 0 8px 20px rgba(41,99,112,.06);
    }
    .menu_top ul {
        padding: 0px;
        margin: 0px;
        list-style: none;
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
    }
    .menu_top ul li {
        text-align:center;
    }
    .menu_top .link {
        background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
        color: #ffffff;
        font-weight: 500;
        padding: 10px 30px;
        position: relative;
        z-index: 1;
        overflow: hidden;
        filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
        text-decoration: none;
        font-size: 17px;
        border-radius: 5px;
        display: inline-block;
        width: 200px;
        text-align: center;
        margin: 0px auto;
    }
}
@media only screen and (min-width: 0px) and (max-width: 992px) {
    .who_block .content {
        text-align:center;
    }
    #what {
        margin-top: 0px;
    }
    .menu-triger {
        position: relative;
        height: 19px;
    }
    .menu-triger span {
        display: inline-block;
    }
    .menu-triger span span {
        display: block;
        width: 25px;
        height: 1px;
        background: #3b2a56;
        margin-bottom: 8px;
        transition-duration: .4s;
    }
    .menu-triger span span:nth-child(2) {
        width: 28px;
    }
    .menu-triger span span:last-child {
        margin-bottom: 0px;
    }
    .logo_top {
        justify-content: space-between;
        width: 100%;
    }
    .menu-triger.active span span:nth-child(1) {
        transform: translate(0px, 7px) rotate(-45deg);
    }
    .menu-triger.active span span:nth-child(2) {
        transition-duration: 0s;
        opacity: 0;
    }
    .menu-triger.active span span:nth-child(3) {
        transform: translate(0px, -11px) rotate(45deg);
    }
    .menu_top {
        display:none;
        background: #ffffff;
        top: 72px;
        position: absolute;
        width: 100%;
        left:0px;
        padding: 15px 0px;
        box-shadow: 0 8px 20px rgba(41,99,112,.06);
    }
    .menu_top ul {
        padding: 0px;
        margin: 0px;
        list-style: none;
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
    }
    .menu_top ul li {
        text-align:center;
    }
}
@media only screen and (min-width: 576px) and (max-width: 768px) {
    .parallax__layer {
        position: absolute;
        width: 100%;
        height: 500px;
        top: 0px;
    }
    .python-icon {
        right: 70px;
        top:120px;
    }
    .programming {
        height: 500px;
        position: relative;
        top: 50px;
        right: auto;
        float: none;
        left: 50%;
        margin-left: -179px;
    }
    .shape {
        right:50px;
        top:30px;
    }
    .code-icon {
        position: absolute;
        left: 210px;
        bottom: 140px;
        height: 50px;
    }
    .main-banner-content {
        text-align:center;
    }
    .h1_buttons {
        justify-content: center;
    }
    .who_body .row > div:last-child {
        margin-top:30px;
    }
    .advantages_body .row > div:nth-child(3),
    .advantages_body .row > div:nth-child(4) {
        margin-top:30px;
    }
    .about-img {
        text-align:center;
    }
    .about_body h2 {
        text-align: center;
    }
    .about_text {
        text-align: center;
    }
    .advantages_body::after {
        right:0px;
    }
}
@media only screen and (min-width: 0px) and (max-width: 575px) {
    .struktura {
        top:100px;
    }
    .shkala {
        gap: 0px;
        flex-wrap: wrap;
    }
    .shape3 {
        display:none;
    }
    .book__article-title-block {
        align-items: flex-start;
    }
    .book__chapter-article {
        flex-wrap: wrap;
    }
    .article-status {
        padding: 5px 10px;
    }
    .book__article-widgets {
        gap: 15px;
    }
    .article-progress {
        padding: 5px 15px;
        gap: 15px;
    }
    .topline {
        display:block;
    }
    #advantages .section_title {
        padding:0px 20px;
    }
    .section_title h2 span {
        position: initial;
    }
    .section_title h2 span::after {
        right: auto;
        left: 50%;
        margin-left: -68px;
    }
    .advantages_block {
        text-align:center;
    }
    .menu_top .link {
        background: linear-gradient(90deg, #FD1E43 0%, #F4197D 100%);
        color: #ffffff;
        font-weight: 500;
        padding: 10px 30px;
        position: relative;
        z-index: 1;
        overflow: hidden;
        filter: drop-shadow(-5px 15px 30px rgba(244, 25, 125, .35));
        text-decoration: none;
        font-size: 17px;
        border-radius: 5px;
        display: inline-block;
        width: 200px;
        text-align: center;
        margin: 0px auto;
    }
    .logo_top img {
        width: 250px;
    }
    .main-banner-content {
        position: relative;
        text-align: center;
    }
    #slide {
        padding-top:40px;
    }
    .main-banner-content h1 {
        font-size:40px;
    }
    .metka {
        font-size:14px;
    }
    .programming {
        height: 100%;
        position: relative;
        top: 40px;
        right: 0px;
        float: right;
        width: 100%;
        text-align: center;
    }
    .code-icon {
        position: absolute;
        left: 60px;
        bottom: 60px;
        height: 50px;
    }
    .python-icon {
        position: absolute;
        right: auto;
        top: 65px;
        height: 70px;
        z-index: 1;
        left: 40px;
    }
    .shape {
        width: 140px;
        position: absolute;
        right: auto;
        top: -10px;
        z-index: 0;
        left: 30px;
    }
    .h1_buttons {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: center;
        margin-bottom: 50px;
        flex-wrap: wrap;
        flex-direction: column;
    }
    .program {
        margin-left:0px;
    }
    .zapis {
        margin-bottom:30px;
    }
    .who_body .row > div,
    .advantages_body .row > div {
        margin-bottom:40px;
    }
    .who_body .row > div:last-child,
    .advantages_body .row > div:last-child {
        margin-bottom:0px;
    }
    .advantages_body::after {
        bottom: -80px;
        right: 0px;
    }
    .section_desc {
        padding: 0px 0px;
    }
    .courses > div.course::before {
        display:none;
    }
    .courses > div.course .course_desc {
        overflow:hidden;
    }
    .courses > div.course:nth-child(1) .course_desc::after {
        content: '1';
        font-family: "SansationBold";
        position: absolute;
        right: -20px;
        bottom: -120px;
        font-size: 200px;
        color: #F7F3EE;
        z-index: 0;
    }
    .courses > div.course:nth-child(2) .course_desc::after {
        content: '2';
        font-family: "SansationBold";
        position: absolute;
        right: -20px;
        bottom: -110px;
        font-size: 200px;
        color: #F7F3EE;
        z-index: 0;
    }
    .courses > div.course:nth-child(3) .course_desc::after {
        content: '3';
        font-family: "SansationBold";
        position: absolute;
        right: -20px;
        bottom: -110px;
        font-size: 200px;
        color: #F7F3EE;
        z-index: 0;
    }
    .course_t {
        padding: 0px;
        list-style: none;
        margin: 0px;
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        justify-content: center;
    }
    .course {
        margin-bottom:30px;
    }
    .icon_course {
        position: absolute;
        right: 0px;
        top: 0px;
    }
    .icon_course::after {
        content: '';
        width: 170px;
        height: 220px;
        background-image: url(../img/shape-09.png);
        background-size: contain;
        position: absolute;
        right: 0px;
        top: -35px;
        background-repeat: no-repeat;
        z-index: 0;
    }
    .icon_course {
        display:none;
    }
    .course_m {
        justify-content: center;
    }
    .course_m li:last-child {
        margin-right:0px;
    }
    .foot {
        display: flex;
        align-items: center;
        gap: 30px;
        flex-wrap: wrap;
        justify-content: center;
    }
    .footer_menu ul li{
        margin:0px;
        text-align: center;
    }
    .footer_menu ul {
        padding: 0px;
        margin: 0px;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: center;
        gap:15px;
    }
    .footer_menu ul li::after {
        display:none;
    }
    .parallax__layer {
        position: absolute;
        width: 100%;
        height: 400px;
    }
    .about_body {
        padding-left: 0px;
        margin-top: 70px;
    }
    .about_body h2 {
        text-align: center;
    }
    .about_text {
        text-align: center;
    }
    .course_title {
        text-align:center;
    }
    #about .section_body {
        padding: 30px 15px 30px 15px;
    }
    .advantages_block p {
        min-height: auto;
    }
    #what {
        margin-top: 50px;
    }
    .who_block .content {
        text-align:center;
    }
}
